@import 'bootstrap/scss/functions';
@import 'admin-lte/build/scss/bootstrap-variables';
@import 'bootstrap/scss/bootstrap';

@import 'admin-lte';

@import 'ember-power-select/themes/bootstrap';
@import 'ember-power-select';
@import 'ember-power-select-custom.scss';

@import 'embedded';

.amchart {
  flex: 1 1 auto;
  height: 20em;
  min-height: 1px;

  @include media-breakpoint-up(sm) {
    height: 40em;
  }
}

.amchart-container {
  display: flex;
  flex-direction: column;
  position: relative;

  .overlay {
    align-items: center;
    background-color: rgba($white, 0.7);
    display: flex;
    height: 100%;
    justify-content: center;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 50;

    &.dark {
      background-color: rgba($black, 0.5);
    }
  }
}

.saving-results {
  height: 20em;

  @include media-breakpoint-up(sm) {
    height: 40em;
  }
}

#admin-lte-logo {
  background-color: white;
}

.main-footer {
  .brand-link {
    display: inline;
    padding: 0;
    .brand-image {
      margin-left: -0.45rem;
      margin-right: 0rem;
    }
  }
}

.widget-user-2 .widget-user-image > svg {
  float: left;
  height: 65px;
  width: 65px;
}

.w80px {
  width: 80px;
}

.w90px {
  width: 90px;
}

.w100px {
  width: 100px;
}

.form-control-loader {
  border-radius: 0.25rem;
  display: block;
  height: calc(2.25rem + 2px);
  width: 100%;
}

hex-color-picker {
  width: 100%;
}
